{% extends 'base.html' %}
{% block css%}

<!--<link rel="stylesheet" href="/static/css/test.css">-->


<link href="/static/select2/css/select2.min.css" rel="stylesheet">

{% endblock %}
{% block content %}

<!-- Add form -->

<br>

<div class="row">
  <div class="col-sm-12 features section-description wow fadeIn">
    <h2>Ajout de project</h2>
    <div class="divider-1">
      <div class="line"></div>
    </div>
  </div>
</div>



<div class="container">
<form method="post" enctype="multipart/form-data">
  {{ form.hidden_tag() }}
  {{ form.title.label }}<br>
  <div class="row form-group justify-content-md-center">
    {{ form.title(size=32, class_="form-control col col-md-2") }}<br>
    {% for error in form.title.errors %}
    <span style="color: red;">[{{ error }}]</span>
    {% endfor %}
  </div>
  {{ form.body.label }}<br>
  <div class="row form-group justify-content-md-center">
    {{ form.body(class_="form-control col col-md-6") }}<br>
    {% for error in form.body.errors %}
    <span style="color: red;">[{{ error }}]</span>
    {% endfor %}
  </div>

  {{ form.tags.label }}
  <div class="row form-group justify-content-md-center">
    {{ form.tags(class_="form-control col col-md-3") }}
    {% for error in form.tags.errors %}
    <span class="label label-danger">{{ error }}</span>
    {% endfor %}
  </div>
  <small class="text-muted">{{ form.additional_tags.description }}</small>

  <div class="row form-group justify-content-md-center">
    {{ form.additional_tags(class_="form-control col col-md-3") }}
  </div>
  {% for error in form.additional_tags.errors %}
  <span class="label label-danger">{{ error }}</span>
  {% endfor %}
  <br>
  <p>
    {{ form.files.label }}<br>
    {{ form.files(size=32, multiple="") }}<br>
    {% for error in form.files.errors %}
    <span style="color: red;">[{{ error }}]</span>
    {% endfor %}
  </p>
</div>


  {{ form.submit() }}
</form>

{% endblock %}
{% block javascript %}
    <script src="https://cdnjs.cloudflare.com/ajax/libs/select2/4.0.3/js/select2.min.js"></script>
    <script type="text/javascript">
    $(document).ready(function() {
        // https://select2.github.io/examples.html
        $("select").select2({});

        function formatRepo (repo) {
            if (repo.loading) return repo.text;

            var markup = "<div class='select2-result-repository clearfix'>" +
            "<div class='select2-result-repository__avatar'><img src='" + repo.owner.avatar_url + "' /></div>" +
            "<div class='select2-result-repository__meta'>" +
            "<div class='select2-result-repository__title'>" + repo.full_name + "</div>";
            
            if (repo.description) {
                markup += "<div class='select2-result-repository__description'>" + repo.description + "</div>";
            }

            markup += "<div class='select2-result-repository__statistics'>" +
            "<div class='select2-result-repository__forks'><i class='fa fa-flash'></i> " + repo.forks_count + " Forks</div>" +
            "<div class='select2-result-repository__stargazers'><i class='fa fa-star'></i> " + repo.stargazers_count + " Stars</div>" +
            "<div class='select2-result-repository__watchers'><i class='fa fa-eye'></i> " + repo.watchers_count + " Watchers</div>" +
            "</div>" +
            "</div></div>";

            return markup;
        }

        function formatRepoSelection (repo) {
            return repo.full_name || repo.text;
        }

        $("#single_dynamic_select").select2({
            ajax: {
                url: "https://api.github.com/search/repositories",
                dataType: 'json',
                delay: 250,
                data: function (params) {
                    return {
                        q: params.term, // search term
                        page: params.page
                    };
                },
                processResults: function (data, params) {
                    // parse the results into the format expected by Select2
                    // since we are using custom formatting functions we do not need to
                    // alter the remote JSON data, except to indicate that infinite
                    // scrolling can be used
                    params.page = params.page || 1;

                    return {
                        results: data.items,
                        pagination: {
                            more: (params.page * 30) < data.total_count
                        }
                    };
                },
                cache: true
            },
            escapeMarkup: function (markup) { return markup; }, // let our custom formatter work
            minimumInputLength: 1,
            templateResult: formatRepo, // omitted for brevity, see the source of this page
            templateSelection: formatRepoSelection // omitted for brevity, see the source of this page
        });
    });
    </script>
</script>

{% endblock %}

